diff --git a/server/sql_app/models.py b/server/sql_app/models.py
index a4837e1..1040967 100644
--- a/server/sql_app/models.py
+++ b/server/sql_app/models.py
@@ -5,6 +5,9 @@ from .database import Base
 
 
 class Device(Base):
+    """
+    Class defining database table devices
+    """
     __tablename__ = "devices"
 
     id = Column(Integer, primary_key=True, index=True)
@@ -13,11 +16,16 @@ class Device(Base):
     serial_number = Column(String, index=True, nullable=False)
     assigned = Column(Boolean, index=True, nullable=False)
 
+    # relationships for foreign keys, thus connecting table with usb_logs and licenses
+    # tables
     logs = relationship("USBLog", back_populates="device")
     licenses = relationship("DeviceLicense", back_populates="device_lic")
 
 
 class USBLog(Base):
+    """
+    Class defining database table usb_logs
+    """
     __tablename__ = "usb_logs"
 
     id = Column(Integer, primary_key=True, index=True)
@@ -26,21 +34,30 @@ class USBLog(Base):
     status = Column(String, index=True, nullable=False)
     device_id = Column(Integer, ForeignKey("devices.id"))
 
+    # relationships for foreign keys, thus connecting table with devices and pc
+    # tables
     device = relationship("Device", back_populates="logs")
     pc = relationship("PC", back_populates="logs_pc")
 
 
 class License(Base):
+    """
+    Class defining database table licenses
+    """
     __tablename__ = "licenses"
 
     id = Column(Integer, primary_key=True, index=True)
     name = Column(String, index=True, nullable=False)
     expiration_date = Column(DateTime(timezone=True), server_default=func.now())
 
+    # relationships for foreign keys, thus connecting table with devices table
     devices = relationship("DeviceLicense", back_populates="licenses")
 
 
 class DeviceLicense(Base):
+    """
+    Class defining database table devices_licenses
+    """
     __tablename__ = "devices_licenses"
 
     id = Column(Integer, primary_key=True, index=True)
@@ -48,11 +65,16 @@ class DeviceLicense(Base):
     license_id = Column(Integer, ForeignKey("licenses.id"))
     assigned_datetime = Column(String, index=True, nullable=False)
 
+    # relationships for foreign keys, thus connecting table with devices and licenses
+    # tables
     device_lic = relationship("Device", back_populates="licenses")
     licenses = relationship("License", back_populates="devices")
 
 
 class PC(Base):
+    """
+    Class defining database table pc
+    """
     __tablename__ = "pc"
 
     id = Column(Integer, primary_key=True, index=True)
@@ -61,38 +83,56 @@ class PC(Base):
     assigned = Column(Boolean, index=True, nullable=False)
     team_id = Column(Integer, ForeignKey("teams.id"))
 
+    # relationships for foreign keys, thus connecting table with teams, usb_logs and ld_logs
+    # tables
     team = relationship("Team", back_populates="pcs")
     logs_pc = relationship("USBLog", back_populates="pc")
     ld_pc = relationship("LDLog", back_populates="ldpc")
 
 
 class Team(Base):
+    """
+    Class defining database table teams
+    """
     __tablename__ = "teams"
 
     id = Column(Integer, primary_key=True, index=True)
     name = Column(String, index=True, nullable=False)
+
+    # relationships for foreign keys, thus connecting table with pc table
     pcs = relationship("PC", back_populates="team")
 
 
 class HeadDevice(Base):
+    """
+    Class defining database table head_devices
+    """
     __tablename__ = "head_devices"
 
     id = Column(Integer, primary_key=True, index=True)
     serial_number = Column(String, index=True, nullable=False)
 
+    # relationships for foreign keys, thus connecting table with ld_logs table
     h_logs = relationship("LDLog", back_populates="head_device")
 
 
 class BodyDevice(Base):
+    """
+    Class defining database table body_devices
+    """
     __tablename__ = "body_devices"
 
     id = Column(Integer, primary_key=True, index=True)
     serial_number = Column(String, index=True, nullable=False)
 
+    # relationships for foreign keys, thus connecting table with ld_logs table
     b_logs = relationship("LDLog", back_populates="body_device")
 
 
 class LDLog(Base):
+    """
+    Class defining database table ld_logs
+    """
     __tablename__ = "ld_logs"
 
     id = Column(Integer, primary_key=True, index=True)
@@ -102,6 +142,8 @@ class LDLog(Base):
     head_id = Column(Integer, ForeignKey("head_devices.id"))
     body_id = Column(Integer, ForeignKey("body_devices.id"))
 
+    # relationships for foreign keys, thus connecting table with pc, head_devices and body_devices
+    # tables
     ldpc = relationship("PC", back_populates="ld_pc")
     head_device = relationship("HeadDevice", back_populates="h_logs")
     body_device = relationship("BodyDevice", back_populates="b_logs")
diff --git a/server/sql_app/schemas.py b/server/sql_app/schemas.py
index 25baafd..c0fe099 100644
--- a/server/sql_app/schemas.py
+++ b/server/sql_app/schemas.py
@@ -14,6 +14,9 @@ class DeviceLicenseCreate(DeviceLicenseBase):
 
 
 class DeviceLicense(DeviceLicenseCreate):
+    """
+    Class used for creating and reading devices_licenses entries
+    """
     id: int
 
     class Config:
@@ -30,6 +33,9 @@ class USBLogCreate(USBLogBase):
 
 
 class USBLog(USBLogBase):
+    """
+    Class used for creating and reading usb_logs entries
+    """
     id: int
     device_id: int
     pc_id: int
@@ -49,6 +55,9 @@ class DeviceCreate(DeviceBase):
 
 
 class Device(DeviceCreate):
+    """
+    Class used for creating and reading devices entries
+    """
     id: int
     assigned: bool
     logs: List[USBLog] = []
@@ -68,6 +77,9 @@ class LDLogCreate(LDLogBase):
 
 
 class LDLog(LDLogCreate):
+    """
+    Class used for creating and reading ld_logs entries
+    """
     id: int
     head_id: int
     body_id: int
@@ -85,6 +97,9 @@ class BodyDeviceCreate(BodyDeviceBase):
 
 
 class BodyDevice(BodyDeviceCreate):
+    """
+    Class used for creating and reading body_devices entries
+    """
     id: int
     logs: List[LDLog] = []
 
@@ -101,6 +116,9 @@ class HeadDeviceCreate(HeadDeviceBase):
 
 
 class HeadDevice(HeadDeviceCreate):
+    """
+    Class used for creating and reading head_devices entries
+    """
     id: int
     logs: List[LDLog] = []
 
@@ -118,6 +136,9 @@ class PCCreate(PCBase):
 
 
 class PC(PCCreate):
+    """
+    Class used for creating and reading pc entries
+    """
     id: int
     assigned: bool
     logs_pc: List[USBLog] = []
@@ -135,6 +156,9 @@ class TeamCreate(TeamBase):
 
 
 class Team(TeamCreate):
+    """
+    Class used for creating and reading team entries
+    """
     id: int
     pcs: List[PC] = []
 
@@ -152,6 +176,9 @@ class LicenseCreate(LicenseBase):
 
 
 class License(LicenseCreate):
+    """
+    Class used for creating and reading licenses entries
+    """
     id: int
     devices: List[DeviceLicense] = []
 
@@ -160,6 +187,9 @@ class License(LicenseCreate):
 
 
 class USBTempBase(BaseModel):
+    """
+    Class used for reading data from keyman detecting client messages
+    """
     username: str
     hostname: str
     timestamp: str
@@ -180,6 +210,9 @@ class USBTemp(USBTempBase):
 
 
 class LDTempBase(BaseModel):
+    """
+    Class used for reading data from debugger detecting client messages
+    """
     username: str
     hostname: str
     timestamp: str
